Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig::UtTxEnableFields_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Tx ienable fields Register. More...
## Data Fields
unsigned int | defineTxIdleGFC:1
| [31] This register is used to include or exclude the GFC field of the ATM header when testing for Idle cells
unsigned int | defineTxIdlePTI:1
| [30] This register is used to include or exclude the PTI field of the ATM header when testing for Idle cells
unsigned int | defineTxIdleCLP:1
| [29] This register is used to include or exclude the CLP field of the ATM header when testing for Idle cells
unsigned int | phyStatsTxEnb:1
| [28] This register is used to enable or disable ATM statistics gathering based on the specified PHY address as defined in TxStatsConfig register
unsigned int | vcStatsTxEnb:1
| [27] This register is used to change the ATM statistics-gathering mode from the specified logical PHY address to a specific VPI/VCI address
unsigned int | vcStatsTxGFC:1
| [26] This register is used to include or exclude the GFC field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | vcStatsTxPTI:1
| [25] This register is used to include or exclude the PTI field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | vcStatsTxCLP:1
| [24] This register is used to include or exclude the CLP field of the ATM header when ATM VPI/VCI statistics are enabled
unsigned int | reserved_1:3
| [23-21] These bits are always 0
unsigned int | txPollStsInt:1
| [20] Enable the assertion of the ucp_tx_poll_sts condition where there is a change in polling status
unsigned int | txCellOvrInt:1
| [19] Enable TxCellCount overflow CBI Transmit Status condition assertion
unsigned int | txIdleCellOvrInt:1
| [18] Enable TxIdleCellCount overflow Transmit Status Condition 1 - If TxIdleCellCountOvr is set assert the Transmit Status Condition 0 - No CBI Transmit Status condition assertion..
unsigned int | enbIdleCellCnt:1
| [17] Enable Transmit Idle Cell Count
unsigned int | enbTxCellCnt:1
| [16] Enable Transmit Valid Cell Count of non-idle/non-error cells 1 - Enable count of valid cells transmitted- non-idle/non-error 0 - No count is maintained.
unsigned int | reserved_2:16
| [15:0] These bits are always 0
## Detailed Description Utopia Tx ienable fields Register. Definition at line 1056 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::defineTxIdleCLP
| [29] This register is used to include or exclude the CLP field of the ATM header when testing for Idle cells 1 - CLP field is valid. 0 - CLP field ignored. Definition at line 1069 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::defineTxIdleGFC
| [31] This register is used to include or exclude the GFC field of the ATM header when testing for Idle cells 1 - GFC field is valid. 0 - GFC field ignored. Definition at line 1059 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::defineTxIdlePTI
| [30] This register is used to include or exclude the PTI field of the ATM header when testing for Idle cells 1 - PTI field is valid 0 - PTI field ignored. Definition at line 1064 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::enbIdleCellCnt
| [17] Enable Transmit Idle Cell Count 1 - Enable count of Idle cells transmitted. 0 - No count is maintained. Definition at line 1119 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::enbTxCellCnt
| [16] Enable Transmit Valid Cell Count of non-idle/non-error cells 1 - Enable count of valid cells transmitted- non-idle/non-error 0 - No count is maintained. Definition at line 1123 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::phyStatsTxEnb
| [28] This register is used to enable or disable ATM statistics gathering based on the specified PHY address as defined in TxStatsConfig register 1 - Enable statistics for specified transmit PHY address. 0 - Disable statistics for specified transmit PHY address. Definition at line 1074 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::reserved_1
| [23-21] These bits are always 0 Definition at line 1103 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::reserved_2
| [15:0] These bits are always 0 Definition at line 1127 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::txCellOvrInt
| [19] Enable TxCellCount overflow CBI Transmit Status condition assertion 1 - If TxCellCountOvr is set assert the Transmit Status Condition. 0 - No CBI Transmit Status condition assertion Definition at line 1110 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::txIdleCellOvrInt
| [18] Enable TxIdleCellCount overflow Transmit Status Condition 1 - If TxIdleCellCountOvr is set assert the Transmit Status Condition 0 - No CBI Transmit Status condition assertion.. Definition at line 1115 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::txPollStsInt
| [20] Enable the assertion of the ucp_tx_poll_sts condition where there is a change in polling status 1 - ucp_tx_poll_sts asserted whenever there is a change in status 0 - ucp_tx_poll_sts asserted if ANY transmit PHY is available Definition at line 1105 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::vcStatsTxCLP
| [24] This register is used to include or exclude the CLP field of the ATM header when ATM VPI/VCI statistics are enabled 1 - CLP field is valid 0 - CLP field ignored. Definition at line 1098 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::vcStatsTxEnb
| [27] This register is used to change the ATM statistics-gathering mode from the specified logical PHY address to a specific VPI/VCI address 1 - Enable statistics for specified VPI/VCI address. 0 - Disable statistics for specified VPI/VCI address Definition at line 1080 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::vcStatsTxGFC
| [26] This register is used to include or exclude the GFC field of the ATM header when ATM VPI/VCI statistics are enabled GFC is only available at the UNI and uses the first 4-bits of the VPI field. 1 - GFC field is valid 0 - GFC field ignored. Definition at line 1086 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtTxEnableFields_::vcStatsTxPTI
| [25] This register is used to include or exclude the PTI field of the ATM header when ATM VPI/VCI statistics are enabled 1 - PTI field is valid 0 - PTI field ignored. Definition at line 1093 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003